Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1072433

Summary: [RFE] new call scheduleSyncPackagesWithProfile
Product: Red Hat Satellite 5 Reporter: Lukas Pramuk <lpramuk>
Component: APIAssignee: Tomas Lestach <tlestach>
Status: CLOSED WONTFIX QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 560CC: cperry, xdmoon
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-06 14:09:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 924189    

Description Lukas Pramuk 2014-03-04 15:03:14 UTC
Description of problem:
We have two api call for package comparison, one call compares two systems, the other call compares a system with a profile: 
- comparePackages ( systemid + systemid )
- comparePackageProfile ( systemid + profile )

For a subsequent sync we have only one option, one call to sync packages between two systems, the other logical option a call to sync a system to a profile is missing.
- scheduleSyncPackagesWithSystem ( systemid + systemid )
- scheduleSyncPackagesWithProfile ( systemid + profile ) <- MISSING


Version-Release number of selected component (if applicable):
sat 560


Steps to Reproduce:
1. call system.comparePackageProfile
2. call system.scheduleSyncPackagesWithProfile

Actual results:
there is no such api call

Expected results:
new api call for syncing a sytem to a profile, currently there is only compare call implemented.

Comment 1 Tomas Lestach 2014-03-05 12:46:39 UTC
Right, the API is missing, however you have an option to schedule the package installation/upgrade/removal manually according to the system.comparePackageProfile API results.

Comment 2 Lukas Pramuk 2014-03-05 13:52:39 UTC
Sure, unless it is an extra package and I want to schedule its removal.
Currently there's no call for this, therefore filed yet another RFE bz #1072416